Bug 1263261 - [abrt] diffuse: diffuse:7392:__init__:AttributeError: 'NoneType' object has no attribute 'get_width'
[abrt] diffuse: diffuse:7392:__init__:AttributeError: 'NoneType' object has n...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: diffuse (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Levell
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:24ce26a005118874c2814e501c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 09:05 EDT by Jerome Marchand
Modified: 2016-02-10 09:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:37:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (905 bytes, text/plain)
2015-09-15 09:05 EDT, Jerome Marchand
no flags Details
File: environ (2.12 KB, text/plain)
2015-09-15 09:05 EDT, Jerome Marchand
no flags Details

  None (edit)
Description Jerome Marchand 2015-09-15 09:05:30 EDT
Description of problem:
I was cleaning my rpm config files:

sudo rpmconf -a -fdiffuse

It happened when I tried to merge cups-browsed.conf files.

Version-Release number of selected component:
diffuse-0.4.8-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python2 /bin/diffuse /etc/cups/cups-browsed.conf /etc/cups/cups-browsed.conf.rpmnew
executable:     /bin/diffuse
kernel:         3.19.8-100.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
diffuse:7392:__init__:AttributeError: 'NoneType' object has no attribute 'get_width'

Traceback (most recent call last):
  File "/bin/diffuse", line 8329, in <module>
    diff = Diffuse(rc_dir)
  File "/bin/diffuse", line 7392, in __init__
    w, h = p0.get_width(), p0.get_height()
AttributeError: 'NoneType' object has no attribute 'get_width'

Local variables in innermost frame:
DIFFUSE_STOCK_RIGHT_LEFT: 'diffuse-right-left'
rc_dir: '/root/.config/diffuse'
self: <Diffuse object at 0x1d78280 (GtkWindow at 0x1f9a0d0)>
p0: None
factory: <gtk.IconFactory object at 0x202e140 (GtkIconFactory at 0x1c62580)>
DIFFUSE_STOCK_LEFT_RIGHT: 'diffuse-left-right'
vbox: <gtk.VBox object at 0x202e0f0 (GtkVBox at 0x1ab16f0)>
DIFFUSE_STOCK_NEW_3WAY_MERGE: 'diffuse-new-3way-merge'
DIFFUSE_STOCK_NEW_2WAY_MERGE: 'diffuse-new-2way-merge'
accel_group: <gtk.AccelGroup object at 0x1d782d0 (GtkAccelGroup at 0x1bc9500)>
Comment 1 Jerome Marchand 2015-09-15 09:05:33 EDT
Created attachment 1073648 [details]
File: backtrace
Comment 2 Jerome Marchand 2015-09-15 09:05:35 EDT
Created attachment 1073649 [details]
File: environ
Comment 3 Jan Kurik 2015-12-22 06:33:35 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.